#include "OctaveEngine.h"

int main (int argc, char* argv[])
{
  OctaveEngine eng(argc, argv);
  double a[6] = {0, 0, 0, 0, 0, 0};
  double b[6] = {1, 2, 3, 4, 5, 6};
  double c[6] = {10, 20,30,40,50,60};
  eng.createVariable("b", 6, 1);
  eng.createVariable("c", 6, 1);
  
  eng.pushVariable("b", b);
  eng.pushVariable("c", c);

  eng.printVariable("b");
  eng.printVariable("c");

  eng.eval("a=testfunc(b,c)");

  eng.pullVariable("a", a);

  cout << endl << endl << "OUTPUT" << endl;
  for (int i=0;i<6;i++)
    cout << a[i] << " ";
  cout << endl;

}
